<?php

/**
 * @var \app\modules\tgbot\models\forms\CardActionStep2Form $params;
 */

$form = new \itguild\forms\ActiveForm();
$form->beginForm( "/miniapp/card_action_step_3");

$form->field(class: \itguild\forms\inputs\Hidden::class, name: "card_id", params: [
    'value' => $params->getItem("card_id")
])
    ->render();

$form->field(class: \itguild\forms\inputs\Hidden::class, name: "type", params: [
    'value' => $params->getItem("type")
])
    ->render();

$form->field(class: \itguild\forms\inputs\TextInput::class, name: "amount", params: [
    'class' => "form-control",
    'placeholder' => 'Количество',
])
    ->setLabel("Количество")
    ->render();

?>
<div class="row">
        <div class="col-sm-2">
        <?php
        $form->field(\itguild\forms\inputs\Button::class, name: "btn-submit", params: [
            'class' => "btn btn-primary ",
            'value' => 'Отправить',
            'typeInput' => 'submit'
        ])
            ->render();
        ?>
        </div>
        <div class="col-sm-2">
        <?php
        $form->field(\itguild\forms\inputs\Button::class, name: "btn-reset", params: [
            'class' => "btn btn-warning",
            'value' => 'Сбросить',
            'typeInput' => 'reset'
        ])
            ->render();
        ?>
        </div>
    </div>
<?php
$form->endForm();