<?php
/**
 * @var Card $card
 * @var CardTransaction $transaction
 */

use kernel\app_modules\card\models\Card;
use kernel\app_modules\card\models\CardTransaction;
use kernel\app_modules\card\services\CardFileService;
use kernel\helpers\Html;

?>

<div class="row">
    <div class="col-12 m-1">
        <?php
        echo Html::img(src: "data:image/png;base64, " . CardFileService::createCardPNG($card, true));
        ?>
    </div>
</div>
<div class="row">
    <div class="col-12 m-1" style="font-size: 20px;">
        Баланс: <?= $card->balance ?>
    </div>
</div>
<div class="row" style="margin-top: 20px;">
    <div class="col-12 m-1">
        <a class="btn btn-primary w-100" href="/miniapp/scanner">Сканировать</a>
    </div>
</div>