<?php
/**
 * @var \kernel\app_modules\card\models\Card $card
 */


use kernel\helpers\Html;

?>

<div class="row">
    <div class="col-12 m-1">
        <?php
        echo Html::img(src: "data:image/png;base64, " . \kernel\app_modules\card\services\CardFileService::createCardPNG($card, true));
        ?>
    </div>
</div>
<div class="row">
    <div class="col-12 m-1" style="font-size: 20px;">
        Баланс: <?= $card->balance ?>
    </div>
</div>
    
<div class="row" style="margin-top: 20px;">
    <div class="col-12 m-1">
        <a class="btn btn-primary w-100" href="/miniapp/card_action_step_2?type=add_purchase&card_id=<?=$card->id?>">Добавить покупку</a>
    </div>
</div>
<div class="row" style="margin-top: 20px;">
    <div class="col-12 m-1">
        <a class="btn btn-primary w-100" href="/miniapp/card_action_step_2?type=add_money&card_id=<?=$card->id?>">Начислить</a>
    </div>
</div>
<div class="row" style="margin-top: 20px;">
    <div class="col-12 m-1">
        <a class="btn btn-primary w-100" href="/miniapp/card_action_step_2?type=withdraw&card_id=<?=$card->id?>">Списать</a>
    </div>
</div>