<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public string $migration;
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        \kernel\App::$db->schema->table('card', function(Blueprint $table) {
            $table->renameColumn('program', 'card_program_id');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        \kernel\App::$db->schema->table('card', function(Blueprint $table) {
            $table->renameColumn('card_program_id', 'program');
        });
    }
};
